![](https://github-readme-stats-sigma-five.vercel.app/api?username=adulau&show_icons=true&count_private=true)
![](https://github-readme-stats-sigma-five.vercel.app/api/top-langs/?username=adulau&hide=html&layout=compact)

# Bio

My name is Alexandre Dulaunoy (adulau). I break stuff and I do stuff. The majority of my work is [open source](https://opensource.org/osd) (or [free software](https://en.wikipedia.org/wiki/The_Free_Software_Definition)) in various fields such as information security. I'm part of the following organisation on GitHub where I'm regularly contributing such as [@MISP](https://github.com/MISP) [@AIL-project](https://github.com/ail-project) [@d4-project](https://github.com/d4-project) [@circl](https://github.com/circl) [@cve-search](https://github.com/cve-search) [@hashlookup](https://github.com/hashlookup) and some others where I'm contributing a bit less.

<a href="https://infosec.exchange/@adulau" rel="me">
  <img align="left" alt="Alexandre Dulaunoy's Mastodon" width="20px" src="https://simpleicons.now.sh/mastodon/495f7e" />
</a>
<a href="https://twitter.com/adulau">
  <img align="left" alt="Alexandre Dulaunoy's Twitter" width="20px" src="https://simpleicons.now.sh/twitter/495f7e" />
</a>
<a href="https://www.flickr.com/photos/adulau/">
  <img align="left" alt="Alexandre Dulaunoy's flickr" width="20px" src="https://simpleicons.now.sh/flickr/495f7e" />
</a><br />

Keeping track on all the software I contributed or started is nearly impossible. You can have a look at some below but it's just some recent ones:

### Software I initially developed and maintain

#### Software Vulnerabilities and CVE

|Software|Description|State|
|:---:|:---|:---:|
|[git-vuln-finder](https://github.com/cve-search/git-vuln-finder)|Finding potential software vulnerabilities from git commit messages (only!).|Active|
|[cpe-guesser](https://github.com/cve-search/cpe-guesser)|Tool to guess CPE name based on common software name.|Active|
|[shvi-allocation/allocator](https://github.com/cve-search/allocator)|Software and procedure supporting the allocation of SHVI number (software and hardware vulnerability identifier) via a community portal.|Prototype/Hibernating|

#### Digital and Network Forensic

|Software|Description|State|
|:---:|:---|:---:|
|[DomainClassifier](https://github.com/adulau/DomainClassifier)|DomainClassifier is a simple Python library to extract and classify Internet domains/hostnames/IP addresses from raw unstructured text files following their existence, localization or attributes.|Active|
|[hashlookup-forensic-analyser](https://github.com/hashlookup/hashlookup-forensic-analyser)|Analyse a forensic target (such as a directory) to find and report files found and not found from [CIRCL hashlookup public service](https://hashlookup.circl.lu/).|Active|
|[hashlookup-lib](https://github.com/hashlookup/hashlookup-lib)|Hashlookup is a library to import hashes records into a hashlookup server.|Active|
|[hashlookup-nsrl](https://github.com/hashlookup/hashlookup-nsrl)|hashlookup-nsrl is a [NSRL RDSv3](https://www.nist.gov/itl/ssd/software-quality-group/national-software-reference-library-nsrl) importer for [hashlookup-server](https://github.com/adulau/hashlookup-server).|Active|
|[hashlookup-server](https://github.com/adulau/hashlookup-server)|hashlookup-server is a minimal and fast open source server (ReST/API) to lookup quickly hash value from large dataset.|Active|
|[mmdb-server](https://github.com/adulau/mmdb-server)|mmdb-server is an open source fast API server to lookup IP addresses for their geographic location, AS number. The server can be used with any MaxMind DB File Format or file in the same format. An open data and [free GeoOpen database](https://cra.circl.lu/opendata/geo-open/) is included and maintained by me.|Active|

### Software I co-developed and co-maintain

#### Software Vulnerabilities and CVE

|Software|Description|State|
|:---|:---|:---:|
|[cve-search](https://github.com/cve-search/cve-search)|a tool to perform local searches for known vulnerabilities.|Active|

### Software I mantain because no one give a `f*ck` to maintain open source software

|Software|Description|State|
|:---|:---|:---:|
|[ssldump](https://github.com/adulau/ssldump)|ssldump is an SSLv3/TLS network protocol analyzer. It identifies TCP connections on the chosen network interface and attempts to interpret them as SSLv3/TLS traffic. When it identifies SSLv3/TLS traffic, it decodes the records and displays them in a textual form to stdout. If provided with the appropriate keying material, it will also decrypt the connections and display the application data traffic. It also includes a JSON output option, supports JA3 and IPv6.|Active|
